Loading...
Searching...
No Matches
HungarianAlgorithm Class Reference

`#include <sort_filter/Hungarian.h>`

## Public Member Functions

| HungarianAlgorithm ()
double | Solve (std::vector< std::vector< double > > &DistMatrix, std::vector< int > &Assignment)
| ~HungarianAlgorithm ()

## Detailed Description

Definition at line 22 of file Hungarian.h.

## Constructor & Destructor Documentation

## HungarianAlgorithm()

HungarianAlgorithm::HungarianAlgorithm | ( |  | ) |

Definition at line 20 of file Hungarian.cpp.

## ~HungarianAlgorithm()

HungarianAlgorithm::~HungarianAlgorithm | ( |  | ) |

Definition at line 21 of file Hungarian.cpp.

## Member Function Documentation

## Solve()

double HungarianAlgorithm::Solve | ( | std::vector< std::vector< double > > & | DistMatrix,
|  | std::vector< int > & | Assignment
| ) |  |

Definition at line 26 of file Hungarian.cpp.

Referenced by SortTracker::update().

The documentation for this class was generated from the following files:

- sort_filter/Hungarian.h
- sort_filter/Hungarian.cpp